Page MenuHomePhabricator

stretch acct monthly cron will spam when /var/log/wtmp.1 doesn't exist
Closed, ResolvedPublic

Description

Spotted on ms-be2001 running stretch and reported in Debian as https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=864242

/etc/cron.monthly/acct:
couldn't open file '': No such file or directory
last: cannot open : No such file or directory

Event Timeline

fgiunchedi renamed this task from acct monthly cron will spam when /var/log/wtmp.1 doesn't exist to stretch acct monthly cron will spam when /var/log/wtmp.1 doesn't exist.Jun 5 2017, 3:54 PM
fgiunchedi created this task.
fgiunchedi updated the task description. (Show Details)
Volans added a subscriber: Volans.Dec 1 2019, 10:01 AM

FYI This still happens in buster too, the Debian bug is still open.
We've 88 hosts that don't have /var/log/wtmp.1 and they spammed cronspam today.

Change 569532 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] acct: Add 2 line cron patch to mitigate cronspam

https://gerrit.wikimedia.org/r/569532

Change 593750 had a related patch set uploaded (by Cwhite; owner: Cwhite):
[operations/puppet@production] toil: mitigate monthly acct cronspam

https://gerrit.wikimedia.org/r/593750

Change 593750 merged by Cwhite:
[operations/puppet@production] toil: mitigate monthly acct cronspam

https://gerrit.wikimedia.org/r/593750

mitigation was deployed today. will watch for next run.

colewhite closed this task as Resolved.May 5 2020, 4:38 PM
colewhite claimed this task.